import request from '@/utils/request';


// 列表

export async function getList(data) {
  let par = new URLSearchParams(data);
  const res = await request.get(`/qms/qualitystandard/page?` + par, {});
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

// 新增
export async function save(data) {
  const res = await request.post(`/qms/qualitystandard/save`, data);
  if (res.data.code == 0) {
    return res.data;
  }
  return Promise.reject(new Error(res.data.message));
}

// 编辑
export async function update(data) {
  const res = await request.put(`/qms/qualitystandard/update`, data);
  if (res.data.code == 0) {
    return res.data.message;
  }
  return Promise.reject(new Error(res.data.message));
}




export async function getById(id) {
  const res = await request.get(`/qms/qualitystandard/getById/${id}`);
  if (res.data.code == 0) {
    return res.data;
  }
  return Promise.reject(new Error(res.data.message));
}



// 删除
export async function removeItem(data) {
  const res = await request.delete('/qms/qualitystandard/delete', {
    data
  });
  if (res.data.code == 0) {
    return res.data.message;
  }
  return Promise.reject(new Error(res.data.message));
}
//列表
export async function parameterList(params) {
  const res = await request.get('/main/produceparam/page', { params });
  if (res.data.code == 0) {
    return res.data.data;
  }
}